using System.Reflection;
using System.Resources;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Windows;

// 一般的组件信息是由下列这个属性所控制。
// 变更这些属性的值即可修改组件的相关
// 信息。
[assembly: AssemblyTitle("MethodSample")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("Microsoft")]
[assembly: AssemblyProduct("MethodSample")]
[assembly: AssemblyCopyright("Copyright © Microsoft 2010")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]


// 将 ComVisible 设置为 false 会使得这个组件中的类型 
// 对 COM 组件而言为不可见。如果您需要从 COM 访问这个组件中
// 的类型，请在该类型上将 ComVisible 属性设置为 true。
[assembly: ComVisible(false)]

//为了部署可当地化语言的应用程序，请设置 
//.csproj 文件中的 <UICulture>CultureYouAreCodingWith</UICulture
//<PropertyGroup> 內部。距离来说，如果您使用的是 US English
//将原始程序文件中的 <UICulture> 设置成 en-US。然后取消注释
//底下的 NeutralResourceLanguage 属性。更新 "en-US"
//下面一行符合项目文件中的 UICulture 设置。

//[assembly: NeutralResourcesLanguage("en-US", UltimateResourceFallbackLocation.Satellite)]


[assembly: ThemeInfo(
    ResourceDictionaryLocation.None, //主题特定资源字典的位置
    //(用于当资源不在页面、
    // 或应用程序资源字典)
    ResourceDictionaryLocation.SourceAssembly //泛用资源字典的位置
    //(用于当资源不在页面、
    // 应用程序，或任何特定主题的资源字典)
)]


// 组件的版本信息由下列四个值所组成:
//
//      主要版本
//      次要版本 
//      组建编号
//      修订编号
//
// 您可以指定所有的值，也可以使用 '*' 将组建和修订编号指定为
// 默认值，如下所示:
// [assembly: AssemblyVersion("1.0.*")]
[assembly: AssemblyVersion("1.0.0.0")]
[assembly: AssemblyFileVersion("1.0.0.0")]
